# Class FilterOptionListElement

Namespace
  adas_core.Domain.Models.Filter

Assembly
  adas-core.Domain.dll

Represents an individual element within a filter option list, encapsulating a selectable filter value and its associated metadata.

    public class FilterOptionListElement

Inheritance
  object
  FilterOptionListElement

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### BgColor

    public string? BgColor { get; set; }

#### Property Value

string

### Color

    public string? Color { get; set; }

#### Property Value

string

### Description

    public string? Description { get; set; }

#### Property Value

string

### IconCategory

    public string? IconCategory { get; set; }

#### Property Value

string

### IconColor

    public string? IconColor { get; set; }

#### Property Value

string

### IconDefault

    public string? IconDefault { get; set; }

#### Property Value

string

### IsFromAdmPanel

    public bool? IsFromAdmPanel { get; set; }

#### Property Value

bool?

### Locale

    public LocaleEnum? Locale { get; set; }

#### Property Value

LocaleEnum?

### LocaleItems

    public Locale? LocaleItems { get; set; }

#### Property Value

Locale

### Name

    public string? Name { get; set; }

#### Property Value

string

### OptionType

    public string? OptionType { get; set; }

#### Property Value

string

### Text

    public string? Text { get; set; }

#### Property Value

string